using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Defaultability.Domain;

public class TaobaoTbkDgMaterialRecommendBasicMapData
{

    /*
        商品信息-商品标题
    */
    private string? title;


    /*
        商品信息-商品短标题
    */
    private string? shortTitle;


    /*
        商品信息-商品主图
    */
    private string? pictUrl;


    /*
        商品信息-商品白底图
    */
    private string? whiteImage;


    /*
        商品信息-一级类目ID
    */
    private long? levelOneCategoryId;


    /*
        商品信息-一级类目名称
    */
    private string? levelOneCategoryName;


    /*
        商品信息-叶子类目id
    */
    private long? categoryId;


    /*
        商品信息-叶子类目名称
    */
    private string? categoryName;


    /*
        店铺信息-卖家id
    */
    private long? sellerId;


    /*
        店铺信息-卖家类型，0表示淘宝，1表示天猫，3表示特价版
    */
    private long? userType;


    /*
        店铺信息-店铺名称
    */
    private string? shopTitle;


    /*
        商品信息-30天销量；数据统计截止昨日非实时更新
    */
    private long? volume;


    /*
        商品信息-商品子标题
    */
    private string? subTitle;


    /*
        商品信息-品牌名称
    */
    private string? brandName;


    /*
        年销量
    */
    private string? annualVol;


    /*
        商品信息-商品小图列表
    */
    private IList<string>? smallImages;


    /*
        商品邮费
    */
    private string? realPostFee;



    [JsonPropertyName("title")]
    public string? Title
    {
        get => title;
        set => this.title = value;
    }

    [JsonPropertyName("short_title")]
    public string? ShortTitle
    {
        get => shortTitle;
        set => this.shortTitle = value;
    }

    [JsonPropertyName("pict_url")]
    public string? PictUrl
    {
        get => pictUrl;
        set => this.pictUrl = value;
    }

    [JsonPropertyName("white_image")]
    public string? WhiteImage
    {
        get => whiteImage;
        set => this.whiteImage = value;
    }

    [JsonPropertyName("level_one_category_id")]
    public long? LevelOneCategoryId
    {
        get => levelOneCategoryId;
        set => this.levelOneCategoryId = value;
    }

    [JsonPropertyName("level_one_category_name")]
    public string? LevelOneCategoryName
    {
        get => levelOneCategoryName;
        set => this.levelOneCategoryName = value;
    }

    [JsonPropertyName("category_id")]
    public long? CategoryId
    {
        get => categoryId;
        set => this.categoryId = value;
    }

    [JsonPropertyName("category_name")]
    public string? CategoryName
    {
        get => categoryName;
        set => this.categoryName = value;
    }

    [JsonPropertyName("seller_id")]
    public long? SellerId
    {
        get => sellerId;
        set => this.sellerId = value;
    }

    [JsonPropertyName("user_type")]
    public long? UserType
    {
        get => userType;
        set => this.userType = value;
    }

    [JsonPropertyName("shop_title")]
    public string? ShopTitle
    {
        get => shopTitle;
        set => this.shopTitle = value;
    }

    [JsonPropertyName("volume")]
    public long? Volume
    {
        get => volume;
        set => this.volume = value;
    }

    [JsonPropertyName("sub_title")]
    public string? SubTitle
    {
        get => subTitle;
        set => this.subTitle = value;
    }

    [JsonPropertyName("brand_name")]
    public string? BrandName
    {
        get => brandName;
        set => this.brandName = value;
    }

    [JsonPropertyName("annual_vol")]
    public string? AnnualVol
    {
        get => annualVol;
        set => this.annualVol = value;
    }

    [JsonPropertyName("small_images")]
    public IList<string>? SmallImages
    {
        get => smallImages;
        set => this.smallImages = value;
    }

    [JsonPropertyName("real_post_fee")]
    public string? RealPostFee
    {
        get => realPostFee;
        set => this.realPostFee = value;
    }

}

